Page MenuHomePhabricator

Selenium::WebDriver::Error::StaleElementReferenceError in VisualEditor browser tests
Closed, ResolvedPublic0 Story Points

Description

In the last 6 runs of browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce Jenkins job (22-27), 5 of them (22-26) failed with a random scenario raising Selenium::WebDriver::Error::StaleElementReferenceError.

Example from 26:

...
00:05:59.899   Scenario: Page Settings                                                                       # features/options.feature:20
00:06:12.518     And I click in the editable part                                                            # features/step_definitions/shared_steps.rb:6
00:06:12.519       Element is no longer attached to the DOM
00:06:12.519       For documentation on this error, please visit: http://seleniumhq.org/exceptions/stale_element_reference.html
00:06:12.519       Build info: version: '2.48.0', revision: 'b7b081a', time: '2015-10-07 15:48:56'
00:06:12.519       System info: host: 'chef', ip: '127.0.1.1', os.name: 'Linux', os.arch: 'i386', os.version: '3.13.0-32-generic', java.version: '1.8.0_72'
00:06:12.519       Driver info: driver.version: unknown (org.openqa.selenium.StaleElementReferenceException) (Selenium::WebDriver::Error::StaleElementReferenceError)
...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 1:32 PM

Change 274694 had a related patch set uploaded (by Zfilipin):
WIP [BrowserTest] Selenium::WebDriver::Error::StaleElementReferenceError

https://gerrit.wikimedia.org/r/274694

Jdforrester-WMF set the point value for this task to 0.Mar 3 2016, 6:32 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 274694 merged by jenkins-bot:
[BrowserTest] Fix Selenium::WebDriver::Error::StaleElementReferenceError

https://gerrit.wikimedia.org/r/274694

zeljkofilipin closed this task as Resolved.Mar 10 2016, 1:27 PM